Subject: Re: [PATCH v4 0/7] doc: git-checkout: clarify DESCRIPTION section

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Sep 2025 11:38:48 -0700

"Julia Evans via GitGitGadget" <[email-masked]> writes:

> Changes in v4:
>
>  * Rewrite all the commit messages to try to take a more Problem / Solution
>    approach, from Junio's review and thanks to help from @nasamuffin in
>    Discord. Also change the cover letter format to match the style in
>    https://lore.kernel.org/git/CAOLa=[email-masked]/T/#m8c99a3144cbdfb445e04f8f83a79364bfe8d797d
>    , which hopefully matches the norms of this mailing list better.
>  * Try a different approach to the "left unchanged...", from Junio's review
>  * Bring back "index" (with a few hints about what the word might mean),
>    from Junio's review.
>  * Bring back the numbered list at the beginning from v1, since I think I
>    misunderstood a comment about lists, and that the original was clearer
>  * Fix an issue I noticed in -B ("instead of failing", not "instead of
>    creating it")
>  * Add a comma after branch or commit, to try to make it clear what "either"
>    refers to in that sentence
>  * Replace "will fail without making any changes" throughout with just "will
>    fail". I think the default assumption is that Git will fail operations in
>    a clean way, and that cases where it does not fail cleanly are the
>    exceptions that the documentation should flag.

Thanks for updating.  After re-reading these over, I think the
updated text is a vast improvement.  Also, after waiting for a
while, we haven't heard much more comments on these changes.

Shall we congratulate a job very well done, declare victory, and
merge these down to 'next' now?

Thanks.